# Changelog

All notable changes to this project will be documented in this file.
This project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).


## [v1.14.1] [r4.23.0] - 2020-05-20

### Changed

**Fixes**

[#18318] Updated GitHub client library


## [v1.14.0] - 2019-10-01

### Added

**Features**

[#12594] Added service info

[#16503] Added Item Id support 

[#17569] Updated the resources check on IS 



## [v1.13.2] - 2019-02-26

### Changed

**Fixes**

[#16157] Updated resource selection how workaround for WorkspaceExplorer widget 



## [v1.13.1] - 2018-12-06

### Changed

**Fixes**

[#12977] Added the project folder path update in the open operation 



## [v1.13.0] - 2018-10-01

### Changed

**Fixes**

[#11724] Updated support to StorageHub 



## [v1.12.0] - 2018-07-01

### Added

**Features**

[#11724] Updated to StorageHub 



## [v1.11.0] - 2018-06-01

### Added

**Features**

[#11750] Added Status control in Algorithm Generator 

[#11768] Added System parameters support 



## [v1.10.0] - 2018-01-12

### Added

**Features**

[#10779] Added support to Private algorithms 

[#10705] Added user name to algorithms descriptions in SAI publication 



## [v1.9.0] - 2017-12-13

### Changed

**Fixes**

[#10523] Fixed Set Main behavior in case of R 

[#10187] Only publish button is available 



## [v1.8.0] - 2017-11-09

### Changed

**Fixes**

Updated Tools panel



## [v1.7.1] - 2017-10-01

### Changed

**Fixes**

Fixed Notification service retrieval



## [v1.7.0] - 2017-07-01

### Added

**Features**

[#8819] Added support for Processes as Black Boxes



## [v1.6.0] - 2017-06-12

### Added

**Features**

[#8541] Support Java 8 compatibility 



## [v1.5.0] - 2017-02-15

### Added

**Features**

[#6279] Updated PortalContext support

[#7120] Added support only for file data type in output parameter



## [v1.4.0] - 2016-12-01

### Added

**Features**

Updated Storage support

Added PortalContext



## [v1.3.0] - 2016-11-01

### Added

**Features**

[#4896] SAI enhancements 

Updated to Auth 2.0



## [v1.2.0] - 2016-10-01

### Added

**Features**

Update to Liferay 6.2

Added GitHub Connector



## [v1.1.0] - 2016-05-01

### Changed

**Fixes**

[#3283] Fixed back button behavior 



## [v1.0.0] - 2016-02-28

First Release

